.generic_table
  transition: filter .2s ease-in-out

  thead th:not(.sortable)
    cursor: default !important
    user-select: none

.generic_table tbody tr.inactive
  background: #eee
  &:hover
    background: darken(#eee, 2%) !important

.generic_table__pagination
  position: fixed
  bottom: 0
  left: $sidebar-width
  right: 0
  background: white
  border-top: 1px solid #eee

th.sortable
  position: relative
  cursor: pointer !important
  svg
    position: absolute
    top: 50%
    right: 1em
    transform: translateY(-50%)
    height: 1.25em


  &:hover
    background: rgba(0, 0, 0, 0.03)

.generic_table--loading
  tbody
    filter: blur(2px)